Bug 499480 - FEAT: hwcertbot should set the work queue flag to ?reviewer for assigning work.
FEAT: hwcertbot should set the work queue flag to ?reviewer for assigning work.
Status: CLOSED EOL
Product: Red Hat Certification Program
Classification: Red Hat
Component: Certification Workflow Engine (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Susan Denham
Suprith Gangawar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 15:39 EDT by Rob Landry
Modified: 2015-07-07 05:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-07 05:46:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2009-05-06 15:39:10 EDT
Description of problem:

Maybe it does this already, however if hwcertbot could set the flag requestee to the reviewer who should be working on it, this would again remove any hidden queues, in this case the reviewer queue, it would be marked in the hwcert flags directly who is working on what part of the certification.
Comment 1 YangKun 2010-07-07 03:24:24 EDT
how the bot is working now is that, it expects the reviewer to update the flags after they finished the "next work", if reviewers forget to do so, it will check the cert status and update the flags accordingly, to make sure the cert is in correct status. turned out this approach worked well for sometime. could we keep this way and not to introduce one more flag setting step ?
Comment 2 Rob Landry 2010-08-11 15:37:10 EDT
What tracking of who specific work was assigned to does the bot do?
Comment 4 MaoPeng 2015-07-07 05:46:03 EDT
confirmed by reviewer, fixed now.

Note You need to log in before you can comment on or make changes to this bug.